Bug 177083 - Update of mplayer/mencoder to a recent snapshot
Summary: Update of mplayer/mencoder to a recent snapshot
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Christian Weisgerber
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-18 19:00 UTC by Thomas Zander
Modified: 2013-03-23 15:50 UTC (History)
0 users

See Also:


Attachments
file.diff (32.11 KB, patch)
2013-03-18 19:00 UTC, Thomas Zander
no flags Details | Diff
m.diff.txt (33.01 KB, text/plain; charset=US-ASCII)
2013-03-22 17:28 UTC, Thomas Zander
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Zander 2013-03-18 19:00:00 UTC
The attached patch updates our ports of mplayer and mencoder to a recent snapshot. Major changes:
- Reduce the number of dependencies (use internal ffmpeg whenever possible) in mplayer
- Do not build with clang on i386
- Use new options framework

A CFT was in effect for more than a week on the ports mailing list with this patchset, no regression was reported.

Fix: Patch attached with submission follows:
Comment 1 Thomas Zander 2013-03-18 21:57:07 UTC
An issue with the GSM option has just surfaced. I'll send an updated
patch as soon as possible.
Comment 2 Thomas Zander 2013-03-22 17:28:59 UTC
New patch set with minor corrections fixed the reported problems via
the ports mailing list:
- compile errors with libgsm
- proper handling of WITH_DVD_DEVICE and WITH_CDROM_DEVICE

No other regressions are known at the moment.
Comment 3 Christian Weisgerber freebsd_committer 2013-03-23 14:12:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->naddy

I'll take this.
Comment 4 dfilter service freebsd_committer 2013-03-23 15:45:44 UTC
Author: naddy
Date: Sat Mar 23 15:45:25 2013
New Revision: 315041
URL: http://svnweb.freebsd.org/changeset/ports/315041

Log:
  Update mplayer and mencoder to a recent snapshot. Major changes:
  - Reduce the number of dependencies (use internal ffmpeg whenever possible)
    in mplayer
  - Do not build with clang on i386
  - Use new options framework
  
  PR:		177083
  Submitted by:	Thomas Zander <thomas.e.zander@googlemail.com> (maintainer)

Added:
  head/multimedia/mplayer/files/extra-patch-clang-version   (contents, props changed)
Modified:
  head/multimedia/mencoder/Makefile
  head/multimedia/mencoder/distinfo   (contents, props changed)
  head/multimedia/mplayer/Makefile
  head/multimedia/mplayer/Makefile.options
  head/multimedia/mplayer/Makefile.shared
  head/multimedia/mplayer/distinfo   (contents, props changed)
  head/multimedia/mplayer/files/extra-patch-base_system_gcc   (contents, props changed)
  head/multimedia/mplayer/files/extra-patch-base_system_log2f   (contents, props changed)
  head/multimedia/mplayer/files/patch-configure   (contents, props changed)
  head/multimedia/mplayer/files/patch-libavcodec-libgsm.c   (contents, props changed)
  head/multimedia/mplayer/files/patch-libavcodec-mpegaudio_parser.c   (contents, props changed)

Modified: head/multimedia/mencoder/Makefile
==============================================================================
--- head/multimedia/mencoder/Makefile	Sat Mar 23 15:23:07 2013	(r315040)
+++ head/multimedia/mencoder/Makefile	Sat Mar 23 15:45:25 2013	(r315041)
@@ -1,56 +1,28 @@
-# New ports collection makefile for:	mencoder
-# Date created:		23 June 2007
-# Whom:			Thomas E. Zander
+# Created by: Thomas E. Zander
 # $FreeBSD$
-#
 
 PORTNAME=	mencoder
 PORTVERSION=	${MPLAYER_PORT_VERSION}
-PORTREVISION=	1
+PORTREVISION=	0
 
 COMMENT=	Convenient video file and movie encoder
 
 .include "${.CURDIR}/../mplayer/Makefile.shared"
 
-OPTIONS=	DEBUG "Include debug symbols in mencoder's binary" off
-OPTIONS+=	RTCPU "Allow runtime CPU detection" on
-OPTIONS+=	OCFLAGS "Use optimized compiler flags" on
-OPTIONS+=	OTCHAIN "Use gcc 4.6+ toolchain on legacy systems" off
-OPTIONS+=	IPV6 "Include inet6 network support" on
-OPTIONS+=	JACK "Enable JackIt audio server support" off
-OPTIONS+=	NAS "Enable NAS sound server support" off
-OPTIONS+=	OPENAL "Enable OpenAL sound support" off
-OPTIONS+=	PULSE "Enable PulseAudio" off
-OPTIONS+=	FONTCONFIG "Enable fontconfig support" off
-OPTIONS+=	LIBUNGIF "Enable gif support" on
-OPTIONS+=	OPENJPEG "Enable JPEG2000 support" off
-OPTIONS+=	MNG "Enable MNG input support" off
-OPTIONS+=	LIBDV "Enable libdv support" off
-OPTIONS+=	MAD "Enable mad MPEG audio engine support" off
-OPTIONS+=	AMR_NB "AMR Narrow Band encoder (opencore)" off
-OPTIONS+=	AMR_WB "AMR Wide Band encoder (opencore)" off
-OPTIONS+=	GSM "GSM audio codec" off
-OPTIONS+=	TWOLAME "Enable twolame MPEG audio codec support" off
-OPTIONS+=	FAAC "Enable FAAC audio codec support" off
-OPTIONS+=	LADSPA "Enable LADSPA plugin support" off
-OPTIONS+=	SPEEX "Enable speex audio codec support" off
-OPTIONS+=	WIN32 "Enable win32 codec set on the IA32 arch" on
-OPTIONS+=	THEORA "Enable ogg theora video support" off
-OPTIONS+=	XVID "Enable XVID video codec support" on
-OPTIONS+=	X264 "Enable x264 (H.264) video codec support" on
-OPTIONS+=	VPX "Enable VP8 video via libvpx" off
-OPTIONS+=	DIRAC "Enable dirac video codec support" off
-OPTIONS+=	SCHROEDINGER "Dirac codec via libschroedinger" off
-OPTIONS+=	REALPLAYER "Enable real player plugin" off
-OPTIONS+=	LIVEMEDIA "Enable LIVE555 streaming support" off
-OPTIONS+=	SMB "Enable Samba input support" off
-OPTIONS+=	BLURAY "Build with libbluray support" off
-OPTIONS+=	FRIBIDI "Enable FriBiDi support" off
-OPTIONS+=	LIBCDIO "Enable libcdio support" off
-OPTIONS+=	CDPARANOIA "Enable cdparanoia support" off
-OPTIONS+=	LIBLZO "Enable external liblzo library" off
-OPTIONS+=	V4L "Enable Video4Linux TV support" off
-OPTIONS+=	LIBRTMP "Enable RTMPDump Streaming Media support" off
+OPTIONS_DEFINE= AMR_NB AMR_WB BLURAY CDIO CDPARANOIA DEBUG DIRAC \
+		DV FAAC FONTCONFIG FRIBIDI GIF GSM IPV6 JACK LADSPA \
+		LIBMNG LIVEMEDIA LZO MAD NAS OCFLAGS OPENAL OPENJPEG \
+		OTCHAIN PULSEAUDIO REAL RTCPU RTMP SCHROEDINGER SMB \
+		THEORA TWOLAME V4L VPX WIN32 X264 XVID
+
+OPTIONS_DEFAULT=GIF IPV6 OCFLAGS RTCPU WIN32 X264 XVID
+
+BLURAY_DESC?=	BluRay support
+OCFLAGS_DESC?=	Use optimized compiler flags
+OTCHAIN_DESC?=	Use gcc 4.6+ toolchain on legacy systems
+REAL_DESC?=	Enable realplayer plugin
+RTCPU_DESC?=	Use runtime CPU detection
+WIN32_DESC?=	Install win32 binary codecs
 
 MAN1=		mencoder.1
 
@@ -95,37 +67,37 @@ ALL_TARGET=	mencoder
 
 .include "${.CURDIR}/../mplayer/Makefile.options"
 
-.if defined(WITH_FONTCONFIG)
+.if ${PORT_OPTIONS:MFONTCONFIG}
 LIB_DEPENDS+=		fontconfig:${PORTSDIR}/x11-fonts/fontconfig
 .else
 CONFIGURE_ARGS+=	--disable-fontconfig
 .endif
 
-.if defined(WITH_TWOLAME)
+.if ${PORT_OPTIONS:MTWOLAME}
 LIB_DEPENDS+=		twolame:${PORTSDIR}/audio/twolame
 .else
 CONFIGURE_ARGS+=	--disable-twolame
 .endif
 
-.if defined(WITH_FAAC)
+.if ${PORT_OPTIONS:MFAAC}
 LIB_DEPENDS+=		faac:${PORTSDIR}/audio/faac
 .else
 CONFIGURE_ARGS+=	--disable-faac
 .endif
 
-.if !defined(WITHOUT_X264)
+.if ${PORT_OPTIONS:MX264}
 LIB_DEPENDS+=		x264.125:${PORTSDIR}/multimedia/x264
 .else
 CONFIGURE_ARGS+=	--disable-x264
 .endif
 
-.if !defined(WITHOUT_XVID)
+.if ${PORT_OPTIONS:MXVID}
 LIB_DEPENDS+=		xvidcore:${PORTSDIR}/multimedia/xvid
 .else
 CONFIGURE_ARGS+=	--disable-xvid
 .endif
 
-.ifdef(WITH_DIRAC)
+.if ${PORT_OPTIONS:MDIRAC}
 LIB_DEPENDS+=		dirac_encoder:${PORTSDIR}/multimedia/dirac
 .else
 CONFIGURE_ARGS+=	--disable-libdirac-lavc
@@ -135,9 +107,10 @@ pre-everything::
 	@${ECHO_MSG} "N - O - T - E"
 	@${ECHO_MSG} ""
 	@${ECHO_MSG} "There are some knobs which *can* *not* be selected via the"
-	@${ECHO_MSG} "OPTIONS framework. As this one is a slave port of multimedia/"
-	@${ECHO_MSG} "mplayer, you might want to check mplayer's Makefile(s) in"
-	@${ECHO_MSG} "order to learn more about them."
+	@${ECHO_MSG} "OPTIONS framework. At the moment, their defaults are:"
+	@${ECHO_MSG} "WITH_LANG=<LanguageCode>"
+	@${ECHO_MSG} "DEFAULT_DVD_DEVICE=/dev/cd0"
+	@${ECHO_MSG} "DEFAULT_CDROM_DEVICE=/dev/cd0"
 
 post-patch:
 .if ${OSVERSION} >= 900010

Modified: head/multimedia/mencoder/distinfo
==============================================================================
--- head/multimedia/mencoder/distinfo	Sat Mar 23 15:23:07 2013	(r315040)
+++ head/multimedia/mencoder/distinfo	Sat Mar 23 15:45:25 2013	(r315041)
@@ -1,2 +1,2 @@
-SHA256 (mplayer-1.1.20120721.tar.xz) = 30b120bf8543b7cfad36272e3ae29a017282caa90f4d635fe157f29036393787
-SIZE (mplayer-1.1.20120721.tar.xz) = 10480368
+SHA256 (mplayer-1.1.20130308.tar.xz) = 920bd69143d5b867fd0041a99b6302a39ed48ecc1673fe3a051b3abccff17258
+SIZE (mplayer-1.1.20130308.tar.xz) = 10326840

Modified: head/multimedia/mplayer/Makefile
==============================================================================
--- head/multimedia/mplayer/Makefile	Sat Mar 23 15:23:07 2013	(r315040)
+++ head/multimedia/mplayer/Makefile	Sat Mar 23 15:45:25 2013	(r315041)
@@ -3,67 +3,39 @@
 
 PORTNAME=	mplayer
 PORTVERSION=	${MPLAYER_PORT_VERSION}
-PORTREVISION=	2
+PORTREVISION=	0
 
 COMMENT=	High performance media player supporting many formats
 
 .include "${.CURDIR}/Makefile.shared"
 
-OPTIONS=	DEBUG "Include debug symbols in mplayer's binaries" off
-OPTIONS+=	RTCPU "Allow runtime CPU detection" on
-OPTIONS+=	OCFLAGS "Use optimized compiler flags" on
-OPTIONS+=	OTCHAIN "Use gcc 4.6+ toolchain on legacy systems" off
-OPTIONS+=	IPV6 "Include inet6 network support" on
-OPTIONS+=	X11 "Enable X11 support for mplayer's video output" on
-OPTIONS+=	X11XV "X11 video drivers: XV" on
-OPTIONS+=	X11DGA "X11 video drivers: DGA" on
-OPTIONS+=	X11GL "X11 video drivers: OpenGL" on
-OPTIONS+=	X11XIN "X11 video drivers: Xinerama" on
-OPTIONS+=	X11VM "X11 VidMode support" on
-OPTIONS+=	X11XVMC "Enable XvMC acceleration" off
-OPTIONS+=	VDPAU "Enable Nvidia VDPAU acceleration" off
-OPTIONS+=	GUI "Enable GTK2 graphical user interface with X11" on
-OPTIONS+=	SDL "Enable SDL video output" off
-OPTIONS+=	SKINS "Force dependency on mplayer-skins" on
-OPTIONS+=	RTC "Add support for kernel real time clock timing" off
-OPTIONS+=	ARTS "Enable KDE sound system support" off
-OPTIONS+=	ESOUND "Enable GNOME esound support" off
-OPTIONS+=	JACK "Enable JackIt audio server support" off
-OPTIONS+=	NAS "Enable NAS sound server support" off
-OPTIONS+=	OPENAL "Enable OpenAL sound support" off
-OPTIONS+=	PULSE "Enable PulseAudio" off
-OPTIONS+=	LIBUNGIF "Enable gif support" on
-OPTIONS+=	OPENJPEG "Enable JPEG2000 support" off
-OPTIONS+=	MNG "Enable MNG input support" off
-OPTIONS+=	AALIB "Enable aalib support" off
-OPTIONS+=	LIBCACA "Enable libcaca support" off
-OPTIONS+=	SVGALIB "Enable svgalib support" off
-OPTIONS+=	LIBDV "Enable libdv support" off
-OPTIONS+=	MAD "Enable mad MPEG audio engine support" off
-OPTIONS+=	AMR_NB "AMR Narrow Band encoder (opencore)" off
-OPTIONS+=	AMR_WB "AMR Wide Band encoder (opencore)" off
-OPTIONS+=	GSM "GSM audio codec" off
-OPTIONS+=	LADSPA "Enable LADSPA plugin support" off
-OPTIONS+=	SPEEX "Enable speex audio codec support" on
-OPTIONS+=	THEORA "Enable ogg theora video support" off
-OPTIONS+=	VPX "Enable VP8 video via libvpx" off
-OPTIONS+=	SCHROEDINGER "Dirac codec via libschroedinger" off
-.if !defined(PACKAGE_BUILDING)
-OPTIONS+=	WIN32 "Enable win32 codec set on the IA32 arch" on
-.endif
-OPTIONS+=	REALPLAYER "Enable real player plugin" off
-OPTIONS+=	LIVEMEDIA "Enable LIVE555 streaming support" off
-OPTIONS+=	SMB "Enable Samba input support" off
-OPTIONS+=	BLURAY "Build with libbluray support" off
-OPTIONS+=	FRIBIDI "Enable FriBiDi support" off
-OPTIONS+=	LIRC "Enable lirc support" off
-OPTIONS+=	LIBCDIO "Enable libcdio support" off
-OPTIONS+=	CDPARANOIA "Enable cdparanoia support" off
-OPTIONS+=	LIBLZO "Enable external liblzo library" off
-OPTIONS+=	JOYSTICK "Enable joystick support" off
-OPTIONS+=	V4L "Enable Video4Linux TV support" off
-OPTIONS+=	LIBRTMP "Enable RTMPDump Streaming Media support" off
-OPTIONS+=	ENCA "Enable enca charset detection" off
+OPTIONS_DEFINE= AALIB AMR_NB AMR_WB ARTS BLURAY CACA DEBUG DV \
+		ENCA ESOUND FRIBIDI GIF GSM GUI IPV6 JACK \
+		JOYSTICK LADSPA LIBMNG LIRC LIVEMEDIA LZO MAD \
+		NAS OCFLAGS OPENAL OPENGL OPENJPEG OTCHAIN \
+		PULSEAUDIO REAL RTC RTCPU RTMP SCHROEDINGER SDL \
+		SKINS SMB SVGALIB V4L VDPAU WIN32 \
+		X11 X11DGA X11VM XINERAMA XVIDEO XVMC
+
+OPTIONS_RADIO=	RGCD
+OPTIONS_RADIO_RGCD=	CDIO CDPARANOIA
+
+OPTIONS_DEFAULT=GUI IPV6 OCFLAGS OPENGL RTCPU SKINS \
+		WIN32 X11 X11DGA X11VM XINERAMA XVIDEO
+
+BLURAY_DESC?=	BluRay support
+ENCA_DESC?=	Charset conversion via enca
+JOYSTICK_DESC?=	Joystick support
+LZO_DESC?=	External liblzo support
+OCFLAGS_DESC?=	Use optimized compiler flags
+OTCHAIN_DESC?=	Use gcc 4.6+ toolchain on legacy systems
+REAL_DESC?=	Enable realplayer plugin
+RTC_DESC?=	Add support for kernel real time clock
+RTCPU_DESC?=	Use runtime CPU detection
+SKINS_DESC?=	Install skins for GUI
+WIN32_DESC?=	Install win32 binary codecs
+X11DGA_DESC?=	X11 DGA video driver support
+X11VM_DESC?=	X11 VidMode support
 
 MAN1=		mplayer.1
 MANCOMPRESSED=	no
@@ -82,13 +54,15 @@ CONFIGURE_ARGS+=	--disable-directfb \
 			--disable-faac \
 			--disable-faad \
 			--disable-libdca \
+			--disable-toolame \
 			--disable-twolame \
 			--disable-x264 \
 			--disable-xvid \
 			--disable-libdirac-lavc \
 			--disable-mencoder \
 			--disable-mpg123 \
-			--disable-musepack
+			--disable-musepack \
+			--disable-theora
 
 # Fix a problem with unknown assembly opcodes in embedded ffmpeg
 .if ${ARCH} == "ppc"
@@ -97,11 +71,11 @@ CONFIGURE_ARGS+=	--disable-asm
 
 .include "${.CURDIR}/Makefile.options"
 
-.if !defined(WITHOUT_GUI) && !defined(WITHOUT_X11)
+.if ${PORT_OPTIONS:MGUI} && ${PORT_OPTIONS:MX11}
 MLINKS+=	mplayer.1 gmplayer.1
 PLIST_SUB+=	GMPLAYER=""
 DESKTOP_ENTRIES=	"MPlayer" "High performance media player" "mplayer" "gmplayer" "" false
-.if !defined(WITHOUT_SKINS)
+.if ${PORT_OPTIONS:MSKINS}
 RUN_DEPENDS+=	${LOCALBASE}/share/mplayer/skins:${PORTSDIR}/multimedia/mplayer-skins
 .endif
 
@@ -114,52 +88,52 @@ WITH_LANG=	""
 
 .else
 PLIST_SUB+=	GMPLAYER="@comment "
-.endif #WITHOUT_GUI
+.endif #GUI && X11
 
-.if !defined(WITHOUT_X11)
+.if ${PORT_OPTIONS:MX11}
 USE_XORG=	x11
-.if !defined(WITHOUT_X11XV)
+.if ${PORT_OPTIONS:MXVIDEO}
 USE_XORG+=	xv
 .else
 CONFIGURE_ARGS+=--disable-xv
 .endif
-.if !defined(WITHOUT_X11DGA)
+.if ${PORT_OPTIONS:MX11DGA}
 USE_XORG+=	xxf86dga
 .else
 CONFIGURE_ARGS+=--disable-dga1 --disable-dga2
 .endif
-.if !defined(WITHOUT_X11GL)
+.if ${PORT_OPTIONS:MOPENGL}
 USE_XORG+=	glproto
 LIB_DEPENDS+=	GL:${PORTSDIR}/graphics/libGL
 .else
 CONFIGURE_ARGS+=--disable-gl
 .endif
-.if !defined(WITHOUT_X11XIN)
+.if ${PORT_OPTIONS:MXINERAMA}
 USE_XORG+=	xinerama xineramaproto
 .else
 CONFIGURE_ARGS+=--disable-xinerama
 .endif
-.if !defined(WITHOUT_X11VM)
+.if ${PORT_OPTIONS:MX11VM}
 USE_XORG+=	xxf86vm
 .else
 CONFIGURE_ARGS+=--disable-vm
 .endif
-.if defined(WITH_X11XVMC)
+.if ${PORT_OPTIONS:MXVMC}
 USE_XORG+=	xvmc
 CONFIGURE_ARGS+=--enable-xvmc --with-xvmclib=XvMCW
 .endif
-.else				#WITHOUT_X11
+.else	#X11
 CONFIGURE_ARGS+=--disable-x11 \
 		--disable-fontconfig
 .endif
 
-.if defined(WITH_VDPAU)
+.if ${PORT_OPTIONS:MVDPAU}
 LIB_DEPENDS+=	vdpau:${PORTSDIR}/multimedia/libvdpau
 .else
 CONFIGURE_ARGS+=	--disable-vdpau
 .endif
 
-.if defined(WITH_RTC)
+.if ${PORT_OPTIONS:MRTC}
 BUILD_DEPENDS+=	${LOCALBASE}/modules/rtc.ko:${PORTSDIR}/emulators/rtc
 RUN_DEPENDS+=	${LOCALBASE}/modules/rtc.ko:${PORTSDIR}/emulators/rtc
 CONFIGURE_ARGS+=	--enable-rtc
@@ -167,45 +141,43 @@ CONFIGURE_ARGS+=	--enable-rtc
 CONFIGURE_ARGS+=	--disable-rtc
 .endif
 
-.if defined(WITH_ARTS)
+.if ${PORT_OPTIONS:MARTS}
 LIB_DEPENDS+=		artsc:${PORTSDIR}/audio/arts
 .else
 CONFIGURE_ARGS+=	--disable-arts
 .endif
 
-.if defined(WITH_LIBCACA)
+.if ${PORT_OPTIONS:MCACA}
 LIB_DEPENDS+=		caca:${PORTSDIR}/graphics/libcaca
 .else
 CONFIGURE_ARGS+=	--disable-caca
 .endif
 
-.if defined(WITH_LIRC)
+.if ${PORT_OPTIONS:MLIRC}
 LIB_DEPENDS+=		lirc_client:${PORTSDIR}/comms/lirc
 .else
 CONFIGURE_ARGS+=	--disable-lirc
 .endif
 
-.if defined(WITH_SDL)
+.if ${PORT_OPTIONS:MSDL}
 USE_SDL=	sdl
-WITH_AALIB=	yes
-.undef(WITHOUT_AALIB)
 .else
 CONFIGURE_ARGS+=	--disable-sdl
 .endif
 
-.if defined(WITH_SVGALIB)
+.if ${PORT_OPTIONS:MSVGALIB}
 LIB_DEPENDS+=		vga:${PORTSDIR}/graphics/svgalib
 .else
 CONFIGURE_ARGS+=	--disable-svga
 .endif
 
-.if defined(WITH_AALIB)
+.if ${PORT_OPTIONS:MAALIB} || ${PORT_OPTIONS:MSDL}
 LIB_DEPENDS+=		aa:${PORTSDIR}/graphics/aalib
 .else
 CONFIGURE_ARGS+=	--disable-aa
 .endif
 
-.if defined(WITH_ESOUND)
+.if ${PORT_OPTIONS:MESOUND}
 USE_GNOME+=	esound
 .else
 CONFIGURE_ARGS+=	--disable-esd
@@ -217,14 +189,14 @@ DEFAULT_KERN_HZ=${WITH_KERN_HZ}
 DEFAULT_KERN_HZ=1024
 .endif
 
-.if defined(WITH_JOYSTICK)
+.if ${PORT_OPTIONS:MJOYSTICK}
 BUILD_DEPENDS+=	${LOCALBASE}/include/linux/joystick.h:${PORTSDIR}/devel/linux-js
 CONFIGURE_ARGS+=--enable-joystick
 .else
 CONFIGURE_ARGS+=--disable-joystick
 .endif
 
-.if defined(WITH_ENCA)
+.if ${PORT_OPTIONS:MENCA}
 LIB_DEPENDS+=		enca:${PORTSDIR}/converters/enca
 .else
 CONFIGURE_ARGS+=	--disable-enca
@@ -234,14 +206,17 @@ pre-everything::
 	@${ECHO_MSG} "N - O - T - E"
 	@${ECHO_MSG} ""
 	@${ECHO_MSG} "There are some knobs which *can* *not* be selected via the"
-	@${ECHO_MSG} "OPTIONS framework. You might want to check Makefile.options"
-	@${ECHO_MSG} "in order to learn more about them."
+	@${ECHO_MSG} "OPTIONS framework. At the moment, their defaults are:"
+	@${ECHO_MSG} "WITH_LANG=<LanguageCode>"
+	@${ECHO_MSG} "WITH_KERN_HZ=1024"
+	@${ECHO_MSG} "DEFAULT_DVD_DEVICE=/dev/cd0"
+	@${ECHO_MSG} "DEFAULT_CDROM_DEVICE=/dev/cd0"
 
-.if !defined(WITHOUT_GUI) && !defined(WITHOUT_X11)
-	@${ECHO_MSG} "If you want to use the GUI, you can either install"
+.if ${PORT_OPTIONS:MGUI} && ${PORT_OPTIONS:MX11}
+	@${ECHO_MSG} "If you want to use the GUI, you can use the skins from"
 	@${ECHO_MSG} "${PORTSDIR}/multimedia/mplayer-skins"
-	@${ECHO_MSG} "or download official skin collections from"
-	@${ECHO_MSG} "http://www.mplayerhq.hu/homepage/dload.html"
+	@${ECHO_MSG} "or download them from"
+	@${ECHO_MSG} "http://www.mplayerhq.hu/"
 .endif
 
 post-patch:
@@ -269,7 +244,7 @@ post-patch:
 		's|/usr/\\:local/\\:etc/\\:mplayer|${DATADIR:S/\//\/\\\:/g}|g ; \
 		 s|/dev/\\:(dvd[[:alnum:]]*[[:>:]])|${DEFAULT_DVD_DEVICE:S/dev\//dev\/\\\:/}|g ; \
 		 s|/dev/\\:(cdrom[[:alnum:]]*[[:>:]])|${DEFAULT_CDROM_DEVICE:S/dev\//dev\/\\\:/}|g'
-.if defined(WITH_RTC)
+.if ${PORT_OPTIONS:MRTC}
 	@${REINPLACE_CMD} -e \
 		's|irqp = 1024|irqp = ${DEFAULT_KERN_HZ}|' \
 		${WRKSRC}/mplayer.c
@@ -283,7 +258,7 @@ post-install:
 .for conf in ${CONFFILES}
 	${INSTALL_DATA} ${WRKSRC}/etc/${conf} ${DATADIR}/examples/etc
 .endfor
-.if !defined(WITHOUT_GUI) && !defined(WITHOUT_X11)
+.if ${PORT_OPTIONS:MGUI} && ${PORT_OPTIONS:MX11}
 	@${LN} -sf ${PREFIX}/bin/mplayer ${PREFIX}/bin/gmplayer
 	${CP} -f ${WRKSRC}/etc/mplayer256x256.png ${LOCALBASE}/share/pixmaps/mplayer.png
 .endif

Modified: head/multimedia/mplayer/Makefile.options
==============================================================================
--- head/multimedia/mplayer/Makefile.options	Sat Mar 23 15:23:07 2013	(r315040)
+++ head/multimedia/mplayer/Makefile.options	Sat Mar 23 15:45:25 2013	(r315041)
@@ -14,14 +14,12 @@
 # the variable to make during build, e.g. make WITH_DVD_DEVICE=/dev/cd0
 #
 # WITH_DVD_DEVICE=/path/to/desired/device
-# default 5.x: /dev/acd0
-# default 4.x: /dev/acd0c
+# default: /dev/cd0
 # This option changes the default device where mplayer looks for
 # a DVD medium
 #
 # WITH_CDROM_DEVICE=/path/to/desired/device
-# default 5.x: /dev/acd0
-# default 4.x: /dev/acd0c
+# default: /dev/cd0
 # This option changes the default cdrom device, maybe useful for VCDs
 #
 # WITH_LANG=<your choice>
@@ -39,24 +37,24 @@ CONFIGURE_ARGS+=--language=${WITH_LANG}
 
 #On i386, gcc runs out of general purpose registers when
 #trying to compile a debug version with the default flags.
-.if defined(WITH_DEBUG)
+.if ${PORT_OPTIONS:MDEBUG}
 .if ${ARCH} == "i386"
 DEBUG_FLAGS=	-g -O -fomit-frame-pointer
 .endif
 .else
-.if defined(WITHOUT_OCFLAGS)
-CFLAGS+=	-O -fomit-frame-pointer
-.else
+.if ${PORT_OPTIONS:MOCFLAGS}
 CFLAGS+=	-O3 -fomit-frame-pointer -ffast-math
-.endif
-.endif #WITH_DEBUG
+.else
+CFLAGS+=	-O -fomit-frame-pointer
+.endif #OCFLAGS
+.endif #DEBUG
 
 #Supported architectures for clang
-.if ${ARCH} == "i386" || ${ARCH} == "amd64"
+.if ${ARCH} == "amd64"
 MPLAYER_CLANG_SUPPORTED_ARCH=	yes
 .endif
 
-.if !defined(WITHOUT_RTCPU)
+.if ${PORT_OPTIONS:MRTCPU}
 CONFIGURE_ARGS+=--enable-runtime-cpudetection
 .endif
 
@@ -70,8 +68,9 @@ WITH_BASE_CLANG=yes
 CC=		clang
 CXX=		clang++
 CPP=		clang-cpp
+EXTRA_PATCHES+=	${FILESDIR}/extra-patch-clang-version
 .else
-.if defined(WITH_OTCHAIN)
+.if ${PORT_OPTIONS:MOTCHAIN}
 USE_GCC?=	4.6+
 BUILD_DEPENDS+=	${LOCALBASE}/bin/as:${PORTSDIR}/devel/binutils
 .else
@@ -85,61 +84,55 @@ MAKE_ENV+=	COMPILER_PATH=${LOCALBASE}/bi
 .endif
 .endif
 
-.if defined(WITHOUT_IPV6)
-CONFIGURE_ARGS+=	--disable-inet6
-.else
+.if ${PORT_OPTIONS:MIPV6}
 CATEGORIES+=	ipv6
+.else
+CONFIGURE_ARGS+=	--disable-inet6
 .endif
 
-.if !defined(WITHOUT_LIBUNGIF)
+.if ${PORT_OPTIONS:MGIF}
 LIB_DEPENDS+=		gif:${PORTSDIR}/graphics/giflib
 .else
 CONFIGURE_ARGS+=	--disable-gif
 .endif
 
-.if defined(WITH_OPENJPEG)
+.if ${PORT_OPTIONS:MOPENJPEG}
 LIB_DEPENDS+=		openjpeg:${PORTSDIR}/graphics/openjpeg
 .else
 CONFIGURE_ARGS+=	--disable-libopenjpeg
 .endif
 
-.if defined(WITH_MAD)
+.if ${PORT_OPTIONS:MMAD}
 LIB_DEPENDS+=		mad:${PORTSDIR}/audio/libmad
 .else
 CONFIGURE_ARGS+=	--disable-mad
 .endif
 
-.if defined(WITH_LIBDV)
+.if ${PORT_OPTIONS:MDV}
 LIB_DEPENDS+=		dv:${PORTSDIR}/multimedia/libdv
 .else
 CONFIGURE_ARGS+=	--disable-libdv
 .endif
 
-.if defined(WITH_THEORA)
+.if ${PORT_OPTIONS:MTHEORA}
 LIB_DEPENDS+=		theora:${PORTSDIR}/multimedia/libtheora
 .else
 CONFIGURE_ARGS+=	--disable-theora
 .endif
 
-.if defined(WITH_VPX)
+.if ${PORT_OPTIONS:MVPX}
 LIB_DEPENDS+=		vpx:${PORTSDIR}/multimedia/libvpx
 .else
 CONFIGURE_ARGS+=	--disable-libvpx-lavc
 .endif
 
-.if defined(WITH_SCHROEDINGER)
+.if ${PORT_OPTIONS:MSCHROEDINGER}
 LIB_DEPENDS+=		schroedinger-1.0.11:${PORTSDIR}/multimedia/schroedinger
 .else
 CONFIGURE_ARGS+=	--disable-libschroedinger-lavc
 .endif
 
-.if !defined(WITHOUT_SPEEX)
-LIB_DEPENDS+=		speex:${PORTSDIR}/audio/speex
-.else
-CONFIGURE_ARGS+=	--disable-speex
-.endif
-
-.if defined(WITH_LIVEMEDIA)
+.if ${PORT_OPTIONS:MLIVEMEDIA}
 CONFIGURE_ARGS+=	--enable-live
 BUILD_DEPENDS+=		${LOCALBASE}/live/liveMedia/libliveMedia.a:${PORTSDIR}/net/liveMedia
 CFLAGS+=		-I${LOCALBASE}/live/liveMedia/include \
@@ -159,67 +152,67 @@ LDFLAGS+=		-L${LOCALBASE}/live/liveMedia
 CONFIGURE_ARGS+=	--disable-live
 .endif
 
-.if defined(WITH_JACK)
+.if ${PORT_OPTIONS:MJACK}
 LIB_DEPENDS+=		jack:${PORTSDIR}/audio/jack
 .else
 CONFIGURE_ARGS+=	--disable-jack
 .endif
 
-.if defined(WITH_NAS)
+.if ${PORT_OPTIONS:MNAS}
 LIB_DEPENDS+=		audio:${PORTSDIR}/audio/nas
 .else
 CONFIGURE_ARGS+=	--disable-nas
 .endif
 
-.if defined(WITH_OPENAL)
+.if ${PORT_OPTIONS:MOPENAL}
 USE_OPENAL=	soft
 .else
 CONFIGURE_ARGS+=	--disable-openal
 .endif
 
-.if defined(WITH_PULSE)
+.if ${PORT_OPTIONS:MPULSEAUDIO}
 LIB_DEPENDS+=		pulse:${PORTSDIR}/audio/pulseaudio
 .else
 CONFIGURE_ARGS+=	--disable-pulse
 .endif
 
-.if defined(WITH_BLURAY)
+.if ${PORT_OPTIONS:MBLURAY}
 LIB_DEPENDS+=		bluray:${PORTSDIR}/multimedia/libbluray
 .else
 CONFIGURE_ARGS+=	--disable-bluray
 .endif
 
-.if defined(WITH_SMB)
+.if ${PORT_OPTIONS:MSMB}
 LIB_DEPENDS+=		smbclient:${PORTSDIR}/net/samba-libsmbclient
 .else
 CONFIGURE_ARGS+=	--disable-smb
 .endif
 
-.if defined(WITH_FRIBIDI)
+.if ${PORT_OPTIONS:MFRIBIDI}
 LIB_DEPENDS+=		fribidi:${PORTSDIR}/converters/fribidi
 .else
 CONFIGURE_ARGS+=	--disable-fribidi
 .endif
 
-.if defined(WITH_CDPARANOIA)
+.if ${PORT_OPTIONS:MCDPARANOIA}
 LIB_DEPENDS+=		cdda_paranoia:${PORTSDIR}/audio/cdparanoia
 .else
 CONFIGURE_ARGS+=	--disable-cdparanoia
 .endif
 
-.if defined(WITH_LIBCDIO) && !defined(WITH_CDPARANOIA)
+.if ${PORT_OPTIONS:MCDIO}
 LIB_DEPENDS+=		cdio:${PORTSDIR}/sysutils/libcdio
 .else
 CONFIGURE_ARGS+=	--disable-libcdio
 .endif
 
-.if defined(WITH_LADSPA)
+.if ${PORT_OPTIONS:MLADSPA}
 RUN_DEPENDS+=	${LOCALBASE}/lib/ladspa/amp.so:${PORTSDIR}/audio/ladspa
 .else
 CONFIGURE_ARGS+=	--disable-ladspa
 .endif
 
-.if defined(WITH_LIBLZO)
+.if ${PORT_OPTIONS:MLZO}
 LIB_DEPENDS+=		lzo2:${PORTSDIR}/archivers/lzo2
 .else
 CONFIGURE_ARGS+=	--disable-liblzo
@@ -228,17 +221,17 @@ CONFIGURE_ARGS+=	--disable-liblzo
 .if defined(WITH_DVD_DEVICE)
 DEFAULT_DVD_DEVICE=${WITH_DVD_DEVICE}
 .else
-DEFAULT_DVD_DEVICE=/dev/acd0
+DEFAULT_DVD_DEVICE=/dev/cd0
 .endif
 
 .if defined(WITH_CDROM_DEVICE)
 DEFAULT_CDROM_DEVICE=${WITH_CDROM_DEVICE}
 .else
-DEFAULT_CDROM_DEVICE=/dev/acd0
+DEFAULT_CDROM_DEVICE=/dev/cd0
 .endif
 
 .if ${ARCH} == "i386" || ${ARCH} == "amd64"
-.if !defined(WITHOUT_WIN32) && !defined(PACKAGE_BUILDING) && ${ARCH} == "i386"
+.if ${PORT_OPTIONS:MWIN32} && !defined(PACKAGE_BUILDING) && ${ARCH} == "i386"
 RUN_DEPENDS+=	${CODEC_DETECTION_FILE}:${CODEC_PORT}
 CONFIGURE_ARGS+=	--codecsdir=${LOCALBASE}/lib/win32
 CODEC_PORT=	${PORTSDIR}/multimedia/win32-codecs
@@ -249,32 +242,32 @@ CONFIGURE_ARGS+=	--disable-win32dll \
 .endif
 .endif # ARCH == i386/amd64
 
-.if defined(WITH_REALPLAYER)
+.if ${PORT_OPTIONS:MREAL}
 RUN_DEPENDS+=		realplay:${PORTSDIR}/multimedia/linux-realplayer
 BUILD_DEPENDS+=		realplay:${PORTSDIR}/multimedia/linux-realplayer
 .else
 CONFIGURE_ARGS+=	--disable-real
 .endif
 
-.if defined(WITH_AMR_NB) || defined (WITH_AMR_WB)
+.if ${PORT_OPTIONS:MAMR_NB} || ${PORT_OPTIONS:MAMR_WB}
 LIB_DEPENDS+=		opencore-amrnb:${PORTSDIR}/audio/opencore-amr
 .endif
 
-.ifdef(WITHOUT_AMR_NB)
+.if !${PORT_OPTIONS:MAMR_NB}
 CONFIGURE_ARGS+=	--disable-libopencore_amrnb
 .endif
 
-.ifdef(WITHOUT_AMR_WB)
+.if !${PORT_OPTIONS:MAMR_WB}
 CONFIGURE_ARGS+=	--disable-libopencore_amrwb
 .endif
 
-.ifdef(WITH_GSM)
+.if ${PORT_OPTIONS:MGSM}
 LIB_DEPENDS+=		gsm:${PORTSDIR}/audio/gsm
 .else
 CONFIGURE_ARGS+=	--disable-libgsm
 .endif
 
-.if defined(WITH_V4L)
+.if ${PORT_OPTIONS:MV4L}
 BUILD_DEPENDS+=		${LOCALBASE}/include/linux/videodev2.h:${PORTSDIR}/multimedia/v4l_compat
 LIB_DEPENDS+=		v4l2.0:${PORTSDIR}/multimedia/libv4l
 CONFIGURE_ARGS+=	--enable-tv-v4l1 \
@@ -285,7 +278,7 @@ CONFIGURE_ARGS+=	--disable-tv-v4l1 \
 			--disable-tv-v4l2
 .endif
 
-.if defined(WITH_LIBRTMP)
+.if ${PORT_OPTIONS:MRTMP}
 LIB_DEPENDS+=		rtmp:${PORTSDIR}/multimedia/rtmpdump
 CONFIGURE_ARGS+=	--enable-librtmp
 EXTRA_LIBS+=		-lrtmp
@@ -293,7 +286,7 @@ EXTRA_LIBS+=		-lrtmp
 CONFIGURE_ARGS+=	--disable-librtmp
 .endif
 
-.if defined(WITH_MNG)
+.if ${PORT_OPTIONS:MLIBMNG}
 LIB_DEPENDS+=		mng:${PORTSDIR}/graphics/libmng
 .else
 CONFIGURE_ARGS+=	--disable-mng

Modified: head/multimedia/mplayer/Makefile.shared
==============================================================================
--- head/multimedia/mplayer/Makefile.shared	Sat Mar 23 15:23:07 2013	(r315040)
+++ head/multimedia/mplayer/Makefile.shared	Sat Mar 23 15:45:25 2013	(r315041)
@@ -4,7 +4,7 @@
 #
 # $FreeBSD$
 
-MPLAYER_SNAPSHOT_DATE=	2012-07-21
+MPLAYER_SNAPSHOT_DATE=	2013-03-08
 MPLAYER_PORT_VERSION=	1.1.r${MPLAYER_SNAPSHOT_DATE:S/-//g}
 CATEGORIES?=	multimedia audio
 MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}
@@ -40,7 +40,11 @@ CONFIGURE_ARGS=	--cc="${CC}" \
 		--disable-alsa \
 		--disable-libbs2b \
 		--disable-mp3lib \
-		--enable-ass-internal
+		--enable-ass-internal \
+		--disable-libvorbis \
+		--disable-speex \
+		--disable-libopus \
+		--disable-libilbc
 
 WANT_GNOME=	yes
 WANT_SDL=	yes

Modified: head/multimedia/mplayer/distinfo
==============================================================================
--- head/multimedia/mplayer/distinfo	Sat Mar 23 15:23:07 2013	(r315040)
+++ head/multimedia/mplayer/distinfo	Sat Mar 23 15:45:25 2013	(r315041)
@@ -1,2 +1,2 @@
-SHA256 (mplayer-1.1.20120721.tar.xz) = 30b120bf8543b7cfad36272e3ae29a017282caa90f4d635fe157f29036393787
-SIZE (mplayer-1.1.20120721.tar.xz) = 10480368
+SHA256 (mplayer-1.1.20130308.tar.xz) = 920bd69143d5b867fd0041a99b6302a39ed48ecc1673fe3a051b3abccff17258
+SIZE (mplayer-1.1.20130308.tar.xz) = 10326840

Modified: head/multimedia/mplayer/files/extra-patch-base_system_gcc
==============================================================================
--- head/multimedia/mplayer/files/extra-patch-base_system_gcc	Sat Mar 23 15:23:07 2013	(r315040)
+++ head/multimedia/mplayer/files/extra-patch-base_system_gcc	Sat Mar 23 15:45:25 2013	(r315041)
@@ -1,24 +1,24 @@
---- ffmpeg/libavutil/x86_cpu.h.orig	2010-10-06 03:26:13.000000000 +0200
-+++ ffmpeg/libavutil/x86_cpu.h	2010-11-04 21:01:40.581647958 +0100
-@@ -71,7 +71,7 @@
- #define HAVE_7REGS (ARCH_X86_64 || (HAVE_EBX_AVAILABLE && HAVE_EBP_AVAILABLE))
- #define HAVE_6REGS (ARCH_X86_64 || (HAVE_EBX_AVAILABLE || HAVE_EBP_AVAILABLE))
- 
--#if ARCH_X86_64 && defined(PIC)
-+#if ARCH_X86_64
- #    define BROKEN_RELOCATIONS 1
- #endif
- 
---- configure.orig	2011-12-31 00:40:03.990976000 +0100
-+++ configure	2011-12-31 01:33:51.407685009 +0100
-@@ -2683,10 +2683,6 @@
+--- configure.orig	2013-03-03 11:29:18.000000000 +0100
++++ configure	2013-03-08 18:41:56.973900357 +0100
+@@ -2834,10 +2834,6 @@
  def_ebx_available='#define HAVE_EBX_AVAILABLE 0'
  def_xmm_clobbers='#define HAVE_XMM_CLOBBERS 0'
  
 -if x86_64 ; then
--inline_asm_check '"mov (%eax), %eax"' || die "Your binutils version is too old to compile for 64-bit"
+-inline_asm_check '"mov (%eax), %eax"' || die "Your binutils version is too old to compile for 64-bit (on OSX try --cc=clang)"
 -fi
 -
  if x86 ; then
  
  echocheck ".align is a power of two"
+--- ffmpeg/libavutil/x86/asm.h.orig	2012-10-26 02:48:45.000000000 +0200
++++ ffmpeg/libavutil/x86/asm.h	2013-03-08 18:45:58.593916599 +0100
+@@ -71,7 +71,7 @@
+ #define HAVE_7REGS (ARCH_X86_64 || (HAVE_EBX_AVAILABLE && HAVE_EBP_AVAILABLE))
+ #define HAVE_6REGS (ARCH_X86_64 || (HAVE_EBX_AVAILABLE || HAVE_EBP_AVAILABLE))
+ 
+-#if ARCH_X86_64 && defined(PIC)
++#if ARCH_X86_64
+ #    define BROKEN_RELOCATIONS 1
+ #endif
+ 

Modified: head/multimedia/mplayer/files/extra-patch-base_system_log2f
==============================================================================
--- head/multimedia/mplayer/files/extra-patch-base_system_log2f	Sat Mar 23 15:23:07 2013	(r315040)
+++ head/multimedia/mplayer/files/extra-patch-base_system_log2f	Sat Mar 23 15:45:25 2013	(r315041)
@@ -1,22 +1,21 @@
---- configure.orig	2012-07-24 20:47:24.721531229 +0200
-+++ configure	2012-07-24 20:49:56.207569906 +0200
-@@ -3130,7 +3130,7 @@
+--- configure.orig	2013-03-03 11:29:18.000000000 +0100
++++ configure	2013-03-08 19:04:01.903917043 +0100
+@@ -3265,7 +3265,7 @@
  echores "$_kstat"
  
  
--for func in cbrtf exp2 exp2f isnan isinf llrint llrintf log2 log2f lrint lrintf rint round roundf trunc truncf; do
-+for func in cbrtf exp2 exp2f isnan isinf llrint llrintf lrint lrintf rint round roundf trunc truncf; do
+-for func in atanf cbrt cbrtf cosf expf exp2 exp2f isnan isinf llrint llrintf log2 log2f log10f lrint lrintf rint round roundf sinf trunc truncf; do
++for func in atanf cbrt cbrtf cosf expf exp2 exp2f isnan isinf llrint llrintf lrint lrintf rint round roundf sinf trunc truncf; do
  echocheck $func
  eval _$func=no
  statement_check math.h "${func}(2.0)" -D_ISOC99_SOURCE && eval _$func=yes
-@@ -3142,7 +3142,9 @@
-   echores no
+@@ -3278,6 +3278,9 @@
  fi
  done
--
-+for func in log2 log2f; do
+ 
++for func in log2 log2f log10f; do
 +  eval def_$func="\"#define HAVE_$(echo $func | tr '[a-z]' '[A-Z]') 0\""
 +done
  
- echocheck "mkstemp"
- _mkstemp=no
+ for func in atan2f ldexpf powf; do
+ echocheck $func

Added: head/multimedia/mplayer/files/extra-patch-clang-version
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/multimedia/mplayer/files/extra-patch-clang-version	Sat Mar 23 15:45:25 2013	(r315041)
@@ -0,0 +1,22 @@
+--- configure.orig	2013-03-10 17:43:53.684182000 +0100
++++ configure	2013-03-10 17:47:47.157190568 +0100
+@@ -1614,7 +1614,7 @@
+     if $_cc -v 2>&1 | grep -q "clang"; then
+       echocheck "$_cc version"
+       cc_vendor=clang
+-      cc_version=$($_cc -dumpversion 2>&1)
++      cc_version=$($_cc -v 2>&1 | head -n 1 | cut -d ' ' -f 4)
+       res_comment="experimental support only"
+       echores "clang $cc_version"
+       break
+--- Makefile.orig	2013-03-10 17:44:21.865184000 +0100
++++ Makefile	2013-03-10 17:47:47.248184374 +0100
+@@ -792,7 +792,7 @@
+ 
+ # rebuild version.h each time the working copy is updated
+ version.h: version.sh $(wildcard .svn/entries .git/logs/HEAD)
+-	./$< `$(CC) -dumpversion`
++	./$< `$(CC) -v 2>&1 | head -n 1 | cut -d ' ' -f 4`
+ 
+ %$(EXESUF): %.c
+ 	$(CC) $(CC_DEPFLAGS) $(CFLAGS) -o $@ $^

Modified: head/multimedia/mplayer/files/patch-configure
==============================================================================
--- head/multimedia/mplayer/files/patch-configure	Sat Mar 23 15:23:07 2013	(r315040)
+++ head/multimedia/mplayer/files/patch-configure	Sat Mar 23 15:45:25 2013	(r315041)
@@ -1,6 +1,6 @@
---- configure.orig	2012-07-20 15:11:42.000000000 +0200
-+++ configure	2012-10-08 19:16:19.637797462 +0200
-@@ -645,7 +645,7 @@
+--- configure.orig	2013-03-03 11:29:18.000000000 +0100
++++ configure	2013-03-22 17:20:44.452775673 +0100
+@@ -668,7 +668,7 @@
  _iwmmxt=auto
  _mtrr=auto
  _altivec=auto
@@ -9,7 +9,7 @@
  _ranlib=ranlib
  _windres=windres
  _cc=cc
-@@ -1467,7 +1467,6 @@
+@@ -1534,7 +1534,6 @@
  
    *)
      echo "Unknown parameter: $ac_option"
@@ -17,7 +17,7 @@
      ;;
  
    esac
-@@ -1515,7 +1514,7 @@
+@@ -1669,7 +1668,7 @@
    case "$(uname -m 2>&1)" in
        x86_64|amd64|i[3-9]86*|i86pc|x86|x86pc|k5|k6|k6_2|k6_3|k6-2|k6-3|pentium*|athlon*|i586_i686|i586-i686) host_arch=i386 ;;
        ia64) host_arch=ia64 ;;
@@ -26,16 +26,15 @@
        alpha) host_arch=alpha ;;
        sun4*|sparc*) host_arch=sparc ;;
        parisc*|hppa*|9000*) host_arch=hppa ;;
-@@ -1555,7 +1554,7 @@
+@@ -1709,6 +1708,7 @@
  fi
  
  extra_cflags="-I. -Iffmpeg $extra_cflags"
--extra_ldflags="-lm $extra_ldflags"
-+extra_ldflags="-lm $extra_ldflags -L$_prefix/lib"
++extra_ldflags="$extra_ldflags -L$_prefix/lib"
  _timer=timer-linux.c
  _getch=getch2.c
  
-@@ -3601,7 +3600,7 @@
+@@ -3765,7 +3765,7 @@
  if linux ; then
    THREAD_CFLAGS=-D_REENTRANT
  elif freebsd || netbsd || openbsd || bsdos ; then
@@ -44,7 +43,7 @@
  fi
  if test "$_pthreads" = auto ; then
  cat > $TMPC << EOF
-@@ -3611,7 +3610,7 @@
+@@ -3775,7 +3775,7 @@
  EOF
  _pthreads=no
  if ! hpux ; then
@@ -53,7 +52,25 @@
      # for crosscompilation, we cannot execute the program, be happy if we can link statically
      cc_check $THREAD_CFLAGS $ld_tmp && (tmp_run || test "$ld_static") && ld_pthread="$ld_tmp" && _pthreads=yes && break
    done
-@@ -6271,7 +6270,7 @@
+@@ -5904,7 +5904,7 @@
+ elif dragonfly ; then
+   default_cdrom_device="/dev/cd0"
+ elif freebsd ; then
+-  default_cdrom_device="/dev/acd0"
++  default_cdrom_device="/dev/cdrom"
+ elif openbsd ; then
+   default_cdrom_device="/dev/rcd0c"
+ elif sunos ; then
+@@ -5917,7 +5917,7 @@
+   default_cdrom_device="/dev/cdrom"
+ fi
+ 
+-if win32 || os2 || dragonfly || freebsd || openbsd || sunos || amigaos ; then
++if win32 || os2 || dragonfly || openbsd || sunos || amigaos ; then
+   default_dvd_device=$default_cdrom_device
+ elif darwin ; then
+   default_dvd_device="/dev/rdiskN"
+@@ -6470,7 +6470,7 @@
  echocheck "libgsm"
  if test "$_libgsm" = auto ; then
    _libgsm=no
@@ -62,7 +79,7 @@
  fi
  if test "$_libgsm" = yes ; then
    def_libgsm='#define CONFIG_LIBGSM 1'
-@@ -6733,6 +6732,16 @@
+@@ -6954,6 +6954,16 @@
    nolibrtmp=no
    def_librtmp='#define CONFIG_LIBRTMP 1'
    inputmodules="librtmp $inputmodules"
@@ -79,7 +96,7 @@
  else
    nolibrtmp=yes
    _librtmp=no
-@@ -7125,7 +7134,7 @@
+@@ -7346,7 +7356,7 @@
  echocheck "mencoder"
  if test "$_mencoder" = no ; then
    # mpeg1video for vf_lavc, snow for vf_uspp / vf_mcdeint,
@@ -88,7 +105,7 @@
  fi
  echores "$_mencoder"
  
-@@ -7463,8 +7472,11 @@
+@@ -7684,8 +7694,11 @@
  if test "$_gui" = yes ; then
  
    # Required libraries
@@ -102,7 +119,7 @@
      die "The GUI requires libavcodec with PNG support (needs zlib)."
    fi
    test "$_freetype" = no && test "$_bitmap_font" = no &&
-@@ -8029,7 +8041,7 @@
+@@ -8271,7 +8284,7 @@
  EXESUF      = $_exesuf
  EXESUFS_ALL = .exe
  

Modified: head/multimedia/mplayer/files/patch-libavcodec-libgsm.c
==============================================================================
--- head/multimedia/mplayer/files/patch-libavcodec-libgsm.c	Sat Mar 23 15:23:07 2013	(r315040)
+++ head/multimedia/mplayer/files/patch-libavcodec-libgsm.c	Sat Mar 23 15:45:25 2013	(r315041)
@@ -1,11 +1,14 @@
---- ffmpeg/libavcodec/libgsm.c.orig	2012-01-29 19:20:05.000000000 +0100
-+++ ffmpeg/libavcodec/libgsm.c	2012-03-22 18:07:58.682722034 +0100
-@@ -27,7 +27,7 @@
- 

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Christian Weisgerber freebsd_committer 2013-03-23 15:45:51 UTC
State Changed
From-To: open->closed

Committed, thank you!